using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.IO;
using System.Windows.Forms;
using SendFileTo;

namespace Test
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            EnableButtons();
        }

        private void EnableButtons()
        {
            btnSend.Enabled = edtTo.Text.Length>0 && edtSubject.Text.Length > 0 
                && edtAttachment.Text.Length > 0;
        }

        private void OnTextChanged(object sender, EventArgs e)
        {
            EnableButtons();
        }

        private void OnBrowseClicked(object sender, MouseEventArgs e)
        {
            openFileDialog1.DefaultExt = "";
            openFileDialog1.Multiselect = true;
            if (DialogResult.OK == openFileDialog1.ShowDialog())
            {
                for (int i = 0; i < openFileDialog1.FileNames.Length; i++)
                {

                    string strTemp = openFileDialog1.FileNames[i] + "\r\n";
                    edtAttachment.Text += strTemp;
                }
            }
        }

        private void btnClear_Click(object sender, EventArgs e)
        {
            openFileDialog1.Reset();
            edtAttachment.Text="";
        }


        private void btnSend_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < openFileDialog1.FileNames.Length; i++)
            {
                string strLongName=openFileDialog1.FileNames[i];
                string strName = Path.GetFileName(strLongName);

                MAPI mapi = new MAPI();
                mapi.AddRecipientTo(edtTo.Text);
                mapi.AddAttachment(strLongName);

                mapi.SendMailPopup(edtSubject.Text + "   : " + strName, edtText.Text + "\r\n\r\n : " + strName + "\r\n");
                //mapi.SendMailDirect(edtSubject.Text, edtAttachment.Text);
            }
        }
    }
}